Page MenuHomeVyOS Platform

Migrate OpenVPN interfaces to get_config_dict() syntax
Closed, ResolvedPublicFEATURE REQUEST

Description

  • Also verify DH key length in server mode which must be 2048 or higher
openssl dhparam -inform PEM -in /config/auth/test_dh.pem -text -check
    DH Parameters: (2048 bit)
        prime:
            00:e8:b6:88:c9:9a:bf:2d:69:50:08:24:eb:74:64:
            0a:48:19:ed:5b:04:9b:fa:aa:f1:c8:88:cc:46:18:
            bb:e0:e5:80:ce:e5:e5:2d:41:2b:46:b6:6a:ea:c5:
            aa:d9:d4:17:fb:49:a4:92:5d:3d:89:e2:9e:5c:4d:
            ad:8e:e3:19:0b:74:e5:53:c2:f4:7f:7e:07:27:0e:
            97:14:27:8a:66:94:03:02:75:e5:c2:0b:81:56:37:
            a4:eb:ee:24:0f:77:0f:7c:3c:d8:16:49:c0:0f:e3:
            45:51:d5:d4:59:b4:66:8d:28:73:e1:63:8b:c6:16:
            08:37:79:d7:ac:90:34:74:a8:39:23:87:2b:73:f5:
            f4:90:9a:b9:26:35:ce:63:af:29:7b:2f:f7:c0:ae:
            a3:9d:71:42:89:52:bd:13:28:2b:1e:12:e5:01:f8:
            67:35:11:82:f3:e8:0c:22:5e:3f:ec:ac:c2:21:c2:
            90:a2:ce:71:db:7a:04:a7:90:57:15:14:85:8b:89:
            06:9f:f2:68:d9:cd:87:b7:63:de:dd:01:6a:9c:8c:
            ee:ed:57:43:7e:25:ce:f9:26:fb:89:1b:5a:f0:ce:
            21:22:ae:d1:87:82:ac:d7:ef:42:30:90:a9:47:8b:
            09:16:53:9a:4f:5b:b3:e5:d0:02:e2:f7:2b:ef:d5:
            1f:83
        generator: 2 (0x2)
DH parameters appear to be ok.
-----BEGIN DH PARAMETERS-----
MIIBCAKCAQEA6LaIyZq/LWlQCCTrdGQKSBntWwSb+qrxyIjMRhi74OWAzuXlLUEr
RrZq6sWq2dQX+0mkkl09ieKeXE2tjuMZC3TlU8L0f34HJw6XFCeKZpQDAnXlwguB
Vjek6+4kD3cPfDzYFknAD+NFUdXUWbRmjShz4WOLxhYIN3nXrJA0dKg5I4crc/X0
kJq5JjXOY68pey/3wK6jnXFCiVK9EygrHhLlAfhnNRGC8+gMIl4/7KzCIcKQos5x
23oEp5BXFRSFi4kGn/Jo2c2Ht2Pe3QFqnIzu7VdDfiXO+Sb7iRta8M4hIq7Rh4Ks
1+9CMJCpR4sJFlOaT1uz5dAC4vcr79UfgwIBAg==
-----END DH PARAMETERS-----

Details

Difficulty level
Hard (possibly days)
Version
-
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Perfectly compatible
Issue type
Internal change (not visible to end users)

Event Timeline

c-po changed the task status from Open to In progress.Oct 18 2020, 4:38 PM
c-po claimed this task.
c-po triaged this task as Normal priority.
c-po created this task.
c-po changed Difficulty level from Unknown (require assessment) to Hard (possibly days).
c-po changed Is it a breaking change? from Unspecified (possibly destroys the router) to Perfectly compatible.
c-po updated the task description. (Show Details)
c-po renamed this task from Migrate OpenVPN interfaces got get_config_dict() syntax to Migrate OpenVPN interfaces to get_config_dict() syntax.Oct 19 2020, 6:53 PM
c-po changed the task status from In progress to Needs testing.Oct 30 2020, 8:14 PM
c-po updated the task description. (Show Details)
erkin set Issue type to Internal change (not visible to end users).Sun, Aug 29, 12:33 PM
erkin removed a subscriber: Active contributors.